Album: Labyrinth's Heart
Artists:
- Clark Powell
Date: September 2, 2015
Date Added: October 10, 2020
URLs:
- https://clarkpowell.bandcamp.com/album/labyrinths-heart
- https://www.youtube.com/playlist?list=PLnVpmehyaOFZhrI8iMi4bMrEyl2ZaWd7R
Cover Artists:
- dodostad
Color: '#9f887a'
Groups:
- Clark Powell
- Beyond
Banner Artists:
- dodostad
Banner Dimensions: 975x180
Banner File Extension: png
Banner Style: |-
    --short-banner-alignment: 70%;
Additional Files:
- Title: Bandcamp Banner
  Files:
  - banner.png
Commentary: |-
    <i>Clark Powell:</i> ([Twitter](https://twitter.com/barkbarkclark/status/1441489918430040069), 9/24/2021)

    I was reckoning with my body, my sex, and a maze of painful entanglements that made me feel like a lost monster. If that sounds familiar at all, then listen for the beat of LABYRINTH'S HEART.

    making my discography available again, starting with this one~
---
Track: Getting Lost
Duration: 1:22
URLs:
- https://clarkpowell.bandcamp.com/track/getting-lost
- https://youtu.be/MCQjTIw6VY8
---
Track: Minotaur
Suffix Directory: true
Always Reference By Directory: true
Duration: 3:36
URLs:
- https://clarkpowell.bandcamp.com/track/minotaur
- https://youtu.be/NOIaL69tDHI
---
Track: Pleas
Suffix Directory: true
Always Reference By Directory: true
Duration: 3:06
URLs:
- https://clarkpowell.bandcamp.com/track/pleas
- https://youtu.be/F13Mw50d3Zk
---
Track: Forgotten
Suffix Directory: true
Always Reference By Directory: true
Duration: 4:22
URLs:
- https://clarkpowell.bandcamp.com/track/forgotten
- https://youtu.be/Vatl6V7lTpQ
---
Track: Misbegotten
Additional Names:
- Name: >-
    Pencil Holder (demo version)
  Annotation: >-
    [SoundCloud](https://soundcloud.com/plazmataz/pencil-holder-demo-version)
Duration: 4:20
URLs:
- https://clarkpowell.bandcamp.com/track/misbegotten
- https://youtu.be/9ai9ETnvXQo
Sampled Tracks:
- track:lori-and-erich-baker
Lyrics: |-
    (Countless bodies remain unidentified, some ending up in unmarked graves and small border town cemeteries.)

    (I went out on a forensic case, and the sheriff had a skull on his office desk. It was the skull of a younger person, and he was using it as a pencil holder. He had pens and pencils in the eye socket of this person. So that's when I decided something had to be done.)
---
Track: Calypso Deep
Duration: 1:46
URLs:
- https://clarkpowell.bandcamp.com/track/calypso-deep
- https://youtu.be/hcg2mriL1sc
---
Track: Cruel Ulysses
Duration: 2:24
URLs:
- https://clarkpowell.bandcamp.com/track/cruel-ulysses
- https://youtu.be/VvREunKFvkQ
---
Track: Shoreline
Suffix Directory: true
Always Reference By Directory: true
Duration: 3:48
URLs:
- https://clarkpowell.bandcamp.com/track/shoreline
- https://youtu.be/x9Nen28KsS8
---
Track: Bosom of Abraham
Duration: 2:28
URLs:
- https://clarkpowell.bandcamp.com/track/bosom-of-abraham
- https://youtu.be/pDs5u221UGo
---
Track: Dante
Duration: 2:12
URLs:
- https://clarkpowell.bandcamp.com/track/dante
- https://youtu.be/B6SGqbdQA9g
---
Track: Tiresias
Duration: 3:40
URLs:
- https://clarkpowell.bandcamp.com/track/tiresias
- https://youtu.be/_uI2KZD9IYc
---
Track: Fission
Suffix Directory: true
Always Reference By Directory: true
Duration: 2:30
URLs:
- https://clarkpowell.bandcamp.com/track/fission
- https://youtu.be/l_ODZbxdzFg
---
Track: Requiem
Suffix Directory: true
Duration: 4:38
URLs:
- https://clarkpowell.bandcamp.com/track/requiem
- https://youtu.be/u4x-_BipEwA
Referenced Tracks:
- Serenade
---
Track: I Miss Being Lost
Duration: 2:48
URLs:
- https://clarkpowell.bandcamp.com/track/i-miss-being-lost
- https://youtu.be/26W6xjT8i8g
---
Track: Come Theseus
Duration: 1:50
URLs:
- https://clarkpowell.bandcamp.com/track/come-theseus
- https://youtu.be/iPk8jx_C53I
